Create an idempotent TechStack runtime enrollment
curl --request POST \
--url https://api.kombify.io/v1/techstack/v1/ril/servers/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"server_id": "<string>",
"runtime_agent_id": "<string>",
"stack_id": "<string>",
"hostname": "<string>",
"os": "<string>",
"arch": "<string>",
"mode": "advanced",
"provider": "<string>"
}
'import requests
url = "https://api.kombify.io/v1/techstack/v1/ril/servers/connect"
payload = {
"server_id": "<string>",
"runtime_agent_id": "<string>",
"stack_id": "<string>",
"hostname": "<string>",
"os": "<string>",
"arch": "<string>",
"mode": "advanced",
"provider": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
server_id: '<string>',
runtime_agent_id: '<string>',
stack_id: '<string>',
hostname: '<string>',
os: '<string>',
arch: '<string>',
mode: 'advanced',
provider: '<string>'
})
};
fetch('https://api.kombify.io/v1/techstack/v1/ril/servers/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/v1/ril/servers/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'server_id' => '<string>',
'runtime_agent_id' => '<string>',
'stack_id' => '<string>',
'hostname' => '<string>',
'os' => '<string>',
'arch' => '<string>',
'mode' => 'advanced',
'provider' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/v1/ril/servers/connect"
payload := strings.NewReader("{\n \"server_id\": \"<string>\",\n \"runtime_agent_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"hostname\": \"<string>\",\n \"os\": \"<string>\",\n \"arch\": \"<string>\",\n \"mode\": \"advanced\",\n \"provider\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/v1/ril/servers/connect")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"server_id\": \"<string>\",\n \"runtime_agent_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"hostname\": \"<string>\",\n \"os\": \"<string>\",\n \"arch\": \"<string>\",\n \"mode\": \"advanced\",\n \"provider\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/v1/ril/servers/connect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"server_id\": \"<string>\",\n \"runtime_agent_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"hostname\": \"<string>\",\n \"os\": \"<string>\",\n \"arch\": \"<string>\",\n \"mode\": \"advanced\",\n \"provider\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"worker_id": "<string>",
"server_id": "<string>",
"runtime_agent_id": "<string>",
"accepted": true,
"credential_generation": 1,
"agent_token": "<string>",
"heartbeat_url": "<string>",
"inventory_url": "<string>",
"identity_token_url": "<string>",
"identity_bind_url": "<string>",
"identity_rotate_url": "<string>",
"identity": {},
"channel_bootstrap": {}
},
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}Workers
Create an idempotent TechStack runtime enrollment
Creates server_id/runtime_agent_id and returns the Guard enrollment handoff for install-command, SSH connect, or managed kombify rollout. Provider or SSH bootstrap alone does not mark the server connected. The first accepted request creates credential generation 1. Replaying the same normalized request with the same Idempotency-Key returns the exact same opaque token; another key or payload conflicts and never rotates the credential.
POST
/
v1
/
ril
/
servers
/
connect
Create an idempotent TechStack runtime enrollment
curl --request POST \
--url https://api.kombify.io/v1/techstack/v1/ril/servers/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"server_id": "<string>",
"runtime_agent_id": "<string>",
"stack_id": "<string>",
"hostname": "<string>",
"os": "<string>",
"arch": "<string>",
"mode": "advanced",
"provider": "<string>"
}
'import requests
url = "https://api.kombify.io/v1/techstack/v1/ril/servers/connect"
payload = {
"server_id": "<string>",
"runtime_agent_id": "<string>",
"stack_id": "<string>",
"hostname": "<string>",
"os": "<string>",
"arch": "<string>",
"mode": "advanced",
"provider": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
server_id: '<string>',
runtime_agent_id: '<string>',
stack_id: '<string>',
hostname: '<string>',
os: '<string>',
arch: '<string>',
mode: 'advanced',
provider: '<string>'
})
};
fetch('https://api.kombify.io/v1/techstack/v1/ril/servers/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/v1/ril/servers/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'server_id' => '<string>',
'runtime_agent_id' => '<string>',
'stack_id' => '<string>',
'hostname' => '<string>',
'os' => '<string>',
'arch' => '<string>',
'mode' => 'advanced',
'provider' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/v1/ril/servers/connect"
payload := strings.NewReader("{\n \"server_id\": \"<string>\",\n \"runtime_agent_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"hostname\": \"<string>\",\n \"os\": \"<string>\",\n \"arch\": \"<string>\",\n \"mode\": \"advanced\",\n \"provider\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/v1/ril/servers/connect")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"server_id\": \"<string>\",\n \"runtime_agent_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"hostname\": \"<string>\",\n \"os\": \"<string>\",\n \"arch\": \"<string>\",\n \"mode\": \"advanced\",\n \"provider\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/v1/ril/servers/connect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"server_id\": \"<string>\",\n \"runtime_agent_id\": \"<string>\",\n \"stack_id\": \"<string>\",\n \"hostname\": \"<string>\",\n \"os\": \"<string>\",\n \"arch\": \"<string>\",\n \"mode\": \"advanced\",\n \"provider\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"worker_id": "<string>",
"server_id": "<string>",
"runtime_agent_id": "<string>",
"accepted": true,
"credential_generation": 1,
"agent_token": "<string>",
"heartbeat_url": "<string>",
"inventory_url": "<string>",
"identity_token_url": "<string>",
"identity_bind_url": "<string>",
"identity_rotate_url": "<string>",
"identity": {},
"channel_bootstrap": {}
},
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}授权
OIDC/JWKS bearer token. Self-hosted defaults to Pocket ID; SaaS uses Auth0 through the edge. PocketBase JWT is legacy migration compatibility only.
请求头
Required string length:
8 - 256Pattern:
^[\x21-\x7e]+$请求体
application/json
